package com.jay.monitor.data.server.models.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * jay_monitor_sql
 * @author 
 */
public class JayMonitorSql implements Serializable {
    /**
     * 主键名称
     */
    private Integer id;

    /**
     * 应用名称
     */
    private String applicationName;

    /**
     * 应用地址
     */
    private String applicationIp;

    /**
     * sql编号
     */
    private String sqlId;

    /**
     * 表名称
     */
    private String tableName;

    /**
     * 执行类型
     */
    private String invokeType;

    /**
     * 返回的行数
     */
    private Integer affectedRows;

    /**
     * 应用监控组
     */
    private String dataGroupName;

    /**
     * 应用监控key
     */
    private String dataGroupKey;

    /**
     * 数据编号
     */
    private String dataId;

    /**
     * 日志编号
     */
    private String logId;

    /**
     * 状态1：正常消息 -1异常消息
     */
    private Integer status;

    /**
     * 请求时长
     */
    private Integer requestTime;

    /**
     * 时间时间
     */
    private Date createdTime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getApplicationName() {
        return applicationName;
    }

    public void setApplicationName(String applicationName) {
        this.applicationName = applicationName;
    }

    public String getApplicationIp() {
        return applicationIp;
    }

    public void setApplicationIp(String applicationIp) {
        this.applicationIp = applicationIp;
    }

    public String getSqlId() {
        return sqlId;
    }

    public void setSqlId(String sqlId) {
        this.sqlId = sqlId;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getInvokeType() {
        return invokeType;
    }

    public void setInvokeType(String invokeType) {
        this.invokeType = invokeType;
    }

    public Integer getAffectedRows() {
        return affectedRows;
    }

    public void setAffectedRows(Integer affectedRows) {
        this.affectedRows = affectedRows;
    }

    public String getDataGroupName() {
        return dataGroupName;
    }

    public void setDataGroupName(String dataGroupName) {
        this.dataGroupName = dataGroupName;
    }

    public String getDataGroupKey() {
        return dataGroupKey;
    }

    public void setDataGroupKey(String dataGroupKey) {
        this.dataGroupKey = dataGroupKey;
    }

    public String getDataId() {
        return dataId;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getRequestTime() {
        return requestTime;
    }

    public void setRequestTime(Integer requestTime) {
        this.requestTime = requestTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }
}